# Face Comparison

```
TEST DATA

image_one: https://res.cloudinary.com/dh3i1wodq/image/upload/v1675417496/cbimage_3_drqdoc.jpg
image_two: https://res.cloudinary.com/dh3i1wodq/image/upload/v1677955197/face_image_tkmmwz.jpg

To get face not match response
image_two: https://res.cloudinary.com/dh3i1wodq/image/upload/v1674194072/Screenshot_2023-01-20_at_6.53.52_AM_fdq1tj.png
```

## Compare two face images

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v2/biometrics/merchant/face/comparison`

#### Headers

| Name                                        | Type   | Description     |
| ------------------------------------------- | ------ | --------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | your secret key |
| app-id<mark style="color:red;">\*</mark>    | String | your app id     |

#### Request Body

| Name                                         | Type   | Description |
| -------------------------------------------- | ------ | ----------- |
| image\_one<mark style="color:red;">\*</mark> | string |             |
| image\_two<mark style="color:red;">\*</mark> |        |             |

{% tabs %}
{% tab title="200: OK Face comparison successful" %}

```javascript
{
    "status": true,
    "message": "Face Match",
    "confidence": 1.0,
    "verification": {
        "status": "",
        "reference": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/biometric/face-1/face-comparison.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
